Devices
All operations require authentication.
List devicesProduction
List devices. Returns the identities of the ActiveSync devices registered on the service. Filter them by identity, IMEI or deviceState.
Path parameters
The internal name of your exchange service
The internal name of your exchange organization
Query parameters
Filter the value of IMEI property (like)
Filter the value of deviceState property (=)
allowedblockeddeviceDiscoveryquarantinedFilter the value of identity property (like)
Response
Example uses exchangeService = string, organizationName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ device \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a deviceProduction
Get a device. Returns the model, IMEI, device ID, ActiveSync state and last update date of the ActiveSync device.
Path parameters
The internal name of your exchange service
Exchange identity
The internal name of your exchange organization
Response
International Mobile Equipment Identity
Creation date
Device Id
Model device
Device State
allowedblockeddeviceDiscoveryquarantineduser guid
Exchange identity
Last update date
Pending task id
Example uses exchangeService = string, identity = string, organizationName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ device/ {identity} \
-H "authorization: Bearer $OVH_TOKEN"{ "IMEI": "string", "creationDate": "2024-01-01T12:00:00Z", "deviceId": "string", "deviceModel": "string", "deviceState": "allowed", "guid": "string", "identity": "string", "lastUpdate": "2024-01-01T12:00:00Z", "taskPendingId": 0}
Update a deviceProduction
Update a device. Updates the ActiveSync state of the device with deviceState, for example to allow, block or quarantine it.
Path parameters
The internal name of your exchange service
Exchange identity
The internal name of your exchange organization
Request body (required)
International Mobile Equipment Identity
Creation date
Device Id
Model device
Device State
allowedblockeddeviceDiscoveryquarantineduser guid
Exchange identity
Last update date
Pending task id
Response
Example uses exchangeService = string, identity = string, organizationName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ device/ {identity} \
-H "authorization: Bearer $OVH_TOKEN"Reset a device to factory settingsProduction
Reset a device to factory settings. Runs a factory reset on the device and returns the task. This cannot be undone: all data on the device is lost.
Path parameters
The internal name of your exchange service
Exchange identity
The internal name of your exchange organization
Response
Completion date
Function name
activateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016Task id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses exchangeService = string, identity = string, organizationName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ device/ {identity}/ clearDevice \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}